<div class="container mx-auto flex flex-wrap py-6">

    <!-- Post Section -->
    <section class="w-full md:w-2/3 flex flex-col items-center px-3">

        <article class="flex flex-col shadow my-4">
            <!-- Article Image -->
            <a href="#" class="hover:opacity-75">
                <img src="https://source.unsplash.com/collection/1346951/1000x500?sig=1">
            </a>
            <div class="bg-white flex flex-col justify-start p-6">
                <a href="#" class="text-blue-700 text-sm font-bold uppercase pb-4">{{post?.categorie?.name}}</a>
                <a href="#" class="text-3xl font-bold hover:text-gray-700 pb-4">{{post?.postTitle}}</a>
                <div class="flex mt-3 flex-wrap">
                    <span
                      *ngFor="let tag of post?.postsTags?.nodes"               
                      class="bg-slate-500 mb-2 text-white text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-green-200 dark:text-green-900"
                    >
                      {{tag?.tag?.name}}</span
                    >
         
                  </div>
                <p href="#" class="text-sm pb-8">
                    Rédigé par <a href="#" class="font-semibold hover:text-gray-800">{{post?.userByCreatedBy?.username}}</a>, Publié le {{post?.createdAt | date}}
                </p>
                <div [innerHtml]="post?.postContent | safeHtml"></div>
            </div>
        </article>

        <div class="w-full flex pt-6">
            <a href="#" class="w-1/2 bg-white shadow hover:shadow-md text-left p-6">
                <p class="text-lg text-blue-800 font-bold flex items-center"><mat-icon >arrow_back</mat-icon> Précedent</p>
               
            </a>
            <a href="#" class="w-1/2 bg-white shadow hover:shadow-md text-right p-6">
                <p class="text-lg text-blue-800 font-bold flex items-center justify-end">Après <mat-icon >arrow_forward</mat-icon></p>
               
            </a>
        </div>

        <div class="w-full flex flex-col text-center md:text-left md:flex-row shadow bg-white mt-10 mb-10 p-6">
            <div class="w-full md:w-1/5 flex justify-center md:justify-start pb-4">
                <img src="https://source.unsplash.com/collection/1346951/150x150?sig=1" class="rounded-full shadow h-32 w-32">
            </div>
            <div class="flex-1 flex flex-col justify-center md:justify-center">
                <p class="font-semibold text-3xl">{{post?.userByCreatedBy?.username | titlecase}}</p>
               
            </div>
        </div>

    </section>

    <!-- Sidebar Section -->
    <aside class="w-full md:w-1/3 flex flex-col items-center px-3">
        <app-aside-info></app-aside-info>

    </aside>

</div>
